SDL_GetGamepadConnectionState(3)

NAME
SDL_GetGamepadConnectionState - Get the connection state of a gamepad.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_JoystickConnectionState SDL_GetGamepadConnectionState(SDL_Gamepad *gamepad);

FUNCTION PARAMETERS

gamepad
    the gamepad object to query.

RETURN VALUE
Returns the connection state on success or SDL_JOYSTICK_CONNECTION_INVALID on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.